Skip to content

# Class: WebLinkCategory

Common.Catalog.WebLinkCategory

## Hierarchy

- CatalogCategory

↳ WebLinkCategory

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- spec
- onAdd

### Methods

- addListener
- emit
- eventNames
- getId
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- parseId

## Constructors

### constructor

• new WebLinkCategory()

#### Overrides

CatalogCategory.constructor

## Properties

### apiVersion

• `Readonly` apiVersion: `"catalog.k8slens.dev/v1alpha1"`

#### Overrides

CatalogCategory.apiVersion

### kind

• `Readonly` kind: `"CatalogCategory"`

#### Overrides

CatalogCategory.kind

### metadata

• metadata: `Object`

#### Type declaration

Name | Type
--- | ---
`icon` | `string`
`name` | `string`

#### Overrides

CatalogCategory.metadata

### spec

• spec: `Object`

#### Type declaration

Name | Type
--- | ---
`group` | `string`
`names` | `Object`
`names.kind` | `string`
`versions` | { `entityClass`: typeof WebLink ; `name`: `string` = "v1alpha1" }[]

#### Overrides

CatalogCategory.spec

### onAdd

▪ `Static` `Optional` onAdd: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

## Methods

### addListener

▸ addListener<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.addListener

### emit

▸ emit<E>(`event`, ...`args`): `boolean`

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`...args` | `Arguments`<CatalogCategoryEvents[`E`]>

#### Returns

`boolean`

#### Inherited from

CatalogCategory.emit

### eventNames

▸ eventNames(): (`string` | `symbol`)[]

#### Returns

(`string` | `symbol`)[]

#### Inherited from

CatalogCategory.eventNames

### getId

▸ getId(): `string`

#### Returns

`string`

#### Inherited from

CatalogCategory.getId

### getMaxListeners

▸ getMaxListeners(): `number`

#### Returns

`number`

#### Inherited from

CatalogCategory.getMaxListeners

### listenerCount

▸ listenerCount<E>(`event`): `number`

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`number`

#### Inherited from

CatalogCategory.listenerCount

### listeners

▸ listeners<E>(`event`): `Function`[]

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`Function`[]

#### Inherited from

CatalogCategory.listeners

### off

▸ off<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.off

### on

▸ on<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.on

### once

▸ once<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.once

### prependListener

▸ prependListener<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.prependListener

### prependOnceListener

▸ prependOnceListener<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.prependOnceListener

### rawListeners

▸ rawListeners<E>(`event`): `Function`[]

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`

#### Returns

`Function`[]

#### Inherited from

CatalogCategory.rawListeners

### removeAllListeners

▸ removeAllListeners<E>(`event?`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event?` | `E`

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.removeAllListeners

### removeListener

▸ removeListener<E>(`event`, `listener`): WebLinkCategory

#### Type parameters

Name | Type
--- | ---
`E` | `E`: keyof CatalogCategoryEvents

#### Parameters

Name | Type
--- | ---
`event` | `E`
`listener` | CatalogCategoryEvents[`E`]

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.removeListener

### setMaxListeners

▸ setMaxListeners(`maxListeners`): WebLinkCategory

#### Parameters

Name | Type
--- | ---
`maxListeners` | `number`

#### Returns

WebLinkCategory

#### Inherited from

CatalogCategory.setMaxListeners

### parseId

▸ `Static` parseId(`id?`): `Object`

#### Parameters

Name | Type | Default value
--- | --- | ---
`id` | `string` | ""

#### Returns

`Object`

Name | Type
--- | ---
`group?` | `string`
`kind?` | `string`

#### Inherited from

CatalogCategory.parseId